### Function

# GLib HashTable lookup

#### Declaration

    gpointer
    g_hash_table_lookup (
      GHashTable* hash_table,
      gconstpointer key
    )

#### Description

Looks up a key in a `GHashTable`. Note that this function cannot distinguish between a key that is not present and one which is present and has the value `NULL`. If you need this distinction, use g_hash_table_lookup_extended().

#### Parameters

`hash_table`

  Type: `GHashTable`

  A `GHashTable`.

  The data is owned by the caller of the function.

`key`

  Type: `gconstpointer`

  The key to look up.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gpointer`

The associated value, or `NULL` if the key is not found.

The data is owned by the called function.
The return value can be `NULL`.